import * as connectors from './connectors';
export { connectors };
import { Field, Obj, QueryRequest, QueryResponse } from '../core';
import { AuthConfig, Connector, Mutation } from './typings';
export default function buildServer(schema: Obj<{
    fields: Obj<Field>;
    connector: Connector;
}>, options?: {
    auth?: AuthConfig;
    onMutate?: (mutations: Obj<Mutation[]>) => void | Promise<void>;
}): Promise<{
    (request: QueryRequest, authHeader?: string | undefined): Promise<QueryResponse>;
    (request: QueryRequest[], authHeader?: string | undefined): Promise<QueryResponse[]>;
}>;
