import { Data, Field, Obj } from '../core';
import { DataDiff, FullChanges } from './typings';
export default class ClientState {
    private log;
    server: Data;
    client: Data;
    combined: Data;
    diff: DataDiff;
    private listeners;
    private keyListeners;
    constructor(log?: boolean);
    listen(listener: (value: FullChanges) => void): () => void;
    listen(keys: [string, string, string][], listener: (values: any[]) => void): () => void;
    private emitChanges(changes, indices?);
    private set(store, data, schema?);
    setClient(values: ({
        key: [string, string, string];
        value: any;
    } | {
        key: [string, string];
        value?: null;
    })[]): void;
    setServer(data: Data, schema: Obj<Obj<Field>>, indices: number[]): void;
}
